# -*- coding: utf-8 -*-
"""
/***************************************************************************
 AttachmentControl
                                 A QGIS plugin
 empty
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2019-09-19
        git sha              : $Format:%H$
        copyright            : (C) 2019 by GIS Support
        email                : info@gis-support.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""
from qgis.gui import QgsGui
from qgis.core import QgsApplication
from qgis.PyQt.QtWidgets import QAction, QMenu
from qgis.PyQt.QtGui import QDesktopServices, QIcon
from qgis.PyQt.QtCore import QUrl
from qgis_attachments.editor.factory import AttachmentControlWidget
from qgis_attachments.editor.fieldFormatter import AttachmentsFieldFormatter
from qgis_attachments.translator import translate
import os

# Initialize Qt resources from file resources.py
from .resources import *

translate_ = lambda msg: translate('AttachmentControlPlugin', msg)

class AttachmentControlPlugin():
    def __init__(self, iface):
        widget = AttachmentControlWidget('QGIS Attachments')
        QgsGui.editorWidgetRegistry().registerWidget('QGIS Attachments', widget)
        QgsApplication.fieldFormatterRegistry().addFieldFormatter(AttachmentsFieldFormatter())
        self.iface = iface

    def initGui(self):
        self.menu = QMenu('QGIS Attachments')
        self.menu.setIcon(QIcon(os.path.join(os.path.dirname(__file__), 'icon.svg')))
        self.documentationAction = QAction(translate_('Dokumentacja'))
        self.menu.addAction(self.documentationAction)
        self.iface.pluginMenu().addMenu(self.menu)
        self.documentationAction.triggered.connect(self.openDocumentation)

    def unload(self):
        pass

    def openDocumentation(self):
        QDesktopServices.openUrl(QUrl(translate_('https://gis-support.pl/qgis-attachements/')))
